body {
    background-color: rgb(222, 190, 255); font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-image: url(img/live-background.gif);
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    overflow: hidden;
}

h1 {
    margin: 4px;
}

input[name="timeFormat"] {
    accent-color: rgb(255, 144, 255);
    cursor: pointer;
}

#topbar {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    position: absolute;
    width: 99%;
    backdrop-filter: blur(8px);
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.5) 0%, rgba(253, 221, 255, 0.5) 33%, rgba(251, 191, 255, 0.5) 100%);
    color: black;
    border: 2px solid;
    border-radius: 10px;
    z-index: 0;
}

#greetings {
    padding-left: 12px;
    padding-right: 12px;
}

#time {
    text-align: right;
    padding-right: 12px;
    font-weight: bold;
}

#profilepic {
    border: 2px solid;
    border-radius: 50%;
}

#welcome {
    text-align: center;
    width: 550px;
}

#intro-message {
    text-align: left;
    display: flex;
    max-width: 100%;
    padding-top: 12px;
    padding-bottom: 12px;
}

#intro-message p {
    margin-top: auto;
    margin-bottom: auto;
    padding-left: 12px;
}

#welcomeOpen:hover {
    cursor: pointer;
    transform: scale(110%);
    font-style: italic;
}

#pawNotes {
    width: 1000px;
}

#sidebar {
    width: 150px; 
    background: linear-gradient(135deg, rgba(255, 241, 252, 0.6) 0%,  rgba(225, 156, 255, 0.6) 100%);
    backdrop-filter: blur(10px); 
    padding: 10px; 
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    border-right: 3px solid; 
    text-align: left;
    overflow-y: auto;
    overflow-x: hidden;
}

#sidebar div p {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 120px;
}

#sidebar::-webkit-scrollbar, #notesContent::-webkit-scrollbar {
    width: 6px;
}

#sidebar::-webkit-scrollbar-track, #notesContent::-webkit-scrollbar-track {
    background: transparent;
}

#sidebar::-webkit-scrollbar-thumb, #notesContent::-webkit-scrollbar-thumb {
    background-color: rgba(124, 18, 124, 0.3);
    border-radius: 10px;
}

#sidebar::-webkit-scrollbar-thumb:hover, #notesContent::-webkit-scrollbar-thumb:hover {
    background-color: rgb(165, 114, 165);
    cursor: grab;
}

#notesContent {
    background: linear-gradient(15deg, rgba(225, 156, 255, 0.6) 0%, rgba(255, 241, 252, 0.6) 100%);
    width: 100%;
    padding: 10px;  
    text-align: left; 
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    overflow-y: auto;
    overflow-x: hidden;
}

#pawNotes-logo {
    padding-top: 16px;
}

#pawPics {
    width: 600px;
}

#pawPicsContainer {
    display: flex; 
    border: solid; 
    margin-top: 20px; 
    margin-left: auto; 
    margin-right: auto; 
    max-width: 550px;
    border-radius: 18px;
}

#pawPicsSlot {
    border-right: solid;
    border-left: solid;
}

#meowSic {
    width: 300px;
    user-select: none;
}

#meowSicPlayer {
    display: flex;
    flex-direction: column;
}

#meowSicContent {
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 12px;
}

#meowSicControls {
    text-align: center;
    display: flex;
    justify-content: space-evenly;
}

#meowSicControls button {
    width: 35px;
    height: 25px;
}

#meowSicInfo {
    text-align: center;
}

#meowSicInfo p {
    margin: 0;
    margin-top: -11px;
    font-size: small;
}

#meowSicTimeSlider {
    appearance: none;
    background: linear-gradient(to right, rgb(212, 137, 196) 0%, rgba(186, 169, 186, 0.7) 0%);
    border-radius: 16px;
    height: 5px;
    margin-bottom: 12px;
    border: 1px solid;
}

#meowSicTimeSlider::-webkit-slider-thumb {
    appearance: none;
    border: 1px solid;
    width: 16px;
    height: 16px;
    background: linear-gradient(15deg, rgb(231, 196, 246) 0%, rgb(212, 137, 196) 100%);
    border-radius: 100%;
    cursor: grab;
}

#pawCalcContainer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 12px;
    width: 220px;
    background: linear-gradient(110deg, rgba(225, 156, 255, 0.6) 0%, rgba(255, 241, 252, 0.6) 100%);
    border: 2px solid;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    padding: 12px;
}

#pawCalcEquals {
    grid-column: span 2;
    aspect-ratio: auto;
    border-radius: 12px;
}

#pawCalcResult {
    border: 2px solid;
    border-bottom: none;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    height: 50px;
    margin-top: 20px;
    text-align: right;
    font-size: 43px;
    background: linear-gradient(15deg, rgba(225, 156, 255, 0.6) 0%, rgba(255, 241, 252, 0.6) 100%);
    padding-right: 12px;
}

#calendarWidget {
    user-select: none;
    border: 2px solid;
    display: inline-block;
    background: linear-gradient(15deg, rgba(225, 156, 255, 0.9) 0%, rgba(255, 241, 252, 1) 100%);
    border-radius: 12px;
    padding: 0 1em;
    width: 300px;
    height: 300px;
}

#header {
    margin: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

#headerDisplay {
    display: flex;
    align-items: center;
}

#headerDisplay p {
    font-weight: 500;
    margin: 5px;
    font-size: 1rem;
    word-spacing: 0.5rem;
}


#days, #week {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    margin: auto;
    padding: 0 20px;
    justify-content: space-between;
}

#week div, #days div {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 100%;
}

#week div {
    opacity: 0.5;
}

#pawConfig {
    width: 600px;
}

#settingsSideBar {
    width: 150px; 
    background: linear-gradient(135deg, rgba(255, 241, 252, 0.6) 0%,  rgba(225, 156, 255, 0.6) 100%);
    backdrop-filter: blur(10px); 
    padding: 10px; 
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    border-right: 3px solid; 
    text-align: left;
    overflow-y: auto;
    overflow-x: hidden;
}

#settingsSideBar p:hover {
    cursor: pointer;
}

#settingsContent {
    background: linear-gradient(15deg, rgba(225, 156, 255, 0.6) 0%, rgba(255, 241, 252, 0.6) 100%);
    width: 100%;
    padding: 10px;  
    text-align: left; 
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    overflow-y: auto;
    overflow-x: hidden;
}

#editPfp {
    background: linear-gradient(15deg, rgba(225, 156, 255, 0.6) 0%, rgba(255, 241, 252, 0.6) 100%);
    border: 2px rgb(234, 185, 255) solid;
    border-radius: 16px;
    cursor: pointer;
}

#editPfp:hover {
    opacity: 0.8;
}

#pawPaint {
    width: 800px;
    height: 600px;
}

#pawPaintContainer {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 90%;
}

#pawPaintCanvas {
    width: 100%;
    height: 100%;
    border: solid;
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;
}

#pawPaintCanvas:hover {
    cursor: crosshair;
}

#drawingBoard {
    width: 100%;
    height: 100%;
}

#pawPaintToolbar {
    display: flex;
    justify-content: space-between;
    width: 100%;
    background: linear-gradient(15deg, rgba(225, 156, 255, 0.6) 0%, rgba(255, 103, 222, 0.6) 100%);
    border: solid;
    border-bottom: none;
    margin-top: 12px;
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
}

#pawPaintToolbar label {
    font-size: 12px;
}

#lineWidth {
    border-radius: 12px;
    text-align: center;
}

#stroke {
    background: none;
    border: none;
    cursor: pointer;
}

#pawPaintToolbar input {
    width: 50px;
    border: none;
}

#pawPaintToolbar button {
    border: none;
    border-radius: 4px;
    padding: 2px;
    background: none;
    cursor: pointer;
}

#folder {
    width: 600px;
    height: 500px;
    overflow: hidden;
}

#folderContent {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    margin-top: 22px;
}

#pawNet {
    width: 600px;
    height: 500px;
}

#webContainer {
    border: 3px solid;
    margin: 10px;
    border-radius: 10px;
    height: 80%;
}

#webContent {
    width: 100%;
    height: 100%;
}

#pawNetSearchbar {
    width: 100%;
    margin-top: 8px;
    display: flex;
    justify-content: center;
}

#pawGame {
    width: 700px;
    height: 500px;
}

#pawGameContent {
    position: relative;
    margin-top: 12px;
    height: 75%;
    user-select: none;
    border-radius: 12px;
}

#pawGameContent img {
    cursor: pointer;
}

#pawGameContent img:active {
    transform: scale(90%);
}

#pawGameStats {
    text-align: center;
    font-weight: bold;
}

#pawGameStart {
    position: fixed; 
    top: calc(50% - 25px); 
    left: calc(50% - 50px); 
    width: 100px; 
    height: 100px; 
    background: rgba(255, 192, 203, 0.513); 
    border: solid; 
    border-radius: 30px;
    cursor: pointer;
}

#pawGameStart:hover {
    transform: scale(103%);
}

#pawGameStart:active {
    transform: scale(100%);
}

#pawCmd {
    width: 600px;
    height: 400px;
    font-family: 'Courier New', Courier, monospace;
    box-sizing: border-box;
}

#pawCmdContent {
    padding: 10px;
    height: calc(100% - 35px);
    height: 83%;
    display: flex;
    overflow-y: auto;
    flex-direction: column;
}

#pawCmdInput {
    border: none;
    outline: none;
    line-height: 42px;
}

#inputLine {
    display: flex;
    width: 100%;
}

#prompt {
    white-space: nowrap;
}

.searchButton {
    border-radius: 12px;
    margin-left: 5px;
    margin-right: 5px;
    background: none;
    border: solid 2px;
    padding: 3px;
    cursor: pointer;
}

.searchButton:active {
    transform: scale(90%);
}

.tool {
    display: flex; 
    flex-direction: column;
    text-align: center;
    justify-content: center;
    margin-left: 24px;
    margin-right: 24px;
    margin-bottom: 6px;
    margin-top: 6px;
}

.toolSection {
    display: flex;
    justify-content: space-between;
}

.userSettingField button {
    background: transparent;
}

.userSettingField {
    display: flex;
    justify-content: space-between;
    margin: 2px;
}

.skipMonth {
    padding: 10px;
    margin: 0;
    cursor: pointer;
    font-size: 1.2rem;
    background: transparent;
    border: none;
}

.currentDate {
    color: rgb(196, 58, 255);
    background-color: rgba(243, 71, 255, 0.271);
    border: 1px solid;
}

.pawCalcBtn {
    user-select: none;
    font-weight: bold;
    border-radius: 50%;
    width: 100%;
    aspect-ratio: 1 / 1;
    border: 1px solid rgb(101, 53, 121);
    background: linear-gradient(110deg, rgb(225, 180, 245) 0%, rgb(246, 167, 255) 100%);
}

.pawCalcBtn:hover {
    cursor: pointer;

    filter: contrast(1.15);
}

.pawCalcBtn:active {
    transform: scale(90%);
}


.window {
    background-color: rgba(254, 230, 254, 0.7);
    backdrop-filter: blur(10px);
    border: solid;
    border-radius: 16px; 
    padding: 0 20px 20px 20px;
    position: absolute;
    top: 20%;
    left: 15%;
    /* transform: translate(-50%, -50%); */
}

.windowHeader {
    background-color: rgba(186, 169, 186, 0.7);
    margin-left: -20px;
    margin-right: -20px;
    width: calc(100% + 40px);
    border-top-left-radius: 14px;
    border-top-right-radius: 14px;
    border-bottom: rgba(0, 0, 0, 0.7) 3px solid;
    display: flex;
    justify-content: space-between;
}

.closeButton {
    border: none;
    background-color: rgba(0, 0, 0, 0);

    background-size: contain;
    background-repeat: no-repeat;
    background-image: url(img/UIicons/close.png);
    background-position: center;

    padding: 16px;
}

.closeButton:hover {
    cursor: pointer;
    transform: scale(105%);
}

.selected {
    border: 3px rgba(203, 161, 245, 0.5) dotted;
    padding: 10px;
}

.icon {
    text-align: center; 
    filter: drop-shadow(0 0 8px black); 
    width: fit-content;
    padding: 10px;
}

.pawPicsBtn {
    border: none;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.215) 0%, rgba(255, 255, 255, 0.215) 100%);
}

.pawPicsBtn:hover {
    cursor: pointer;
    .pawBtnImg {
        transform: scale(120%);
    }
}

.controlButtons {
    background: transparent;
    border: none;
}

.controlButtons img {
    width: 100%;
}

.controlButtons:hover {
    cursor: pointer;
    transform: scale(115%);
}

.notesButtons {
    background: transparent;
    border: none;
    font-weight: bolder;    
}

.notesButtons:hover {
    cursor: pointer;
    font-style: italic;
    transform: scale(110%);
}

.flatpickr-calendar {
    background: linear-gradient(110deg, rgb(225, 180, 245) 0%, rgb(246, 167, 255) 100%) !important;
    border: 1px solid !important;
}

.flatpickr-day.selected {
    background: #fd8cff !important;
    border-color: transparent !important;
}

.flatpickr-day:hover {
    background: #fec9ff !important;
    border-color: transparent !important;
}

.birthdayHighlight {
    color: rgb(179, 0, 255);
    background-color: rgb(210, 97, 255);
    border: 1px solid;
}
